Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
proofs::MdocRevocationSpanWitness< EC, ScalarField > Class Template Reference
Collaboration diagram for proofs::MdocRevocationSpanWitness< EC, ScalarField >:
[legend]

## Public Member Functions
| MdocRevocationSpanWitness (const EC &ec, const ScalarField &Fn)
void | fill_witness (DenseFiller< Field > &filler) const
void | fill_sha (DenseFiller< Field > &filler, const FlatSHA256Witness::BlockWitness &bw) const
bool | compute_witness (Elt pkX, Elt pkY, Nat ne, Nat nr, Nat ns, Nat id, Nat ll, Nat rr, uint64_t epoch)

## Data Fields
Elt | e_
Elt | r_
Elt | s_
EcdsaWitness | sig_
uint8_t | preimage_ [64 *2]
uint8_t | id_bits_ [256]
uint8_t | e_bits_ [256]
FlatSHA256Witness::BlockWitness | sha_bw_ [2]

The documentation for this class was generated from the following file:

- lib/circuits/mdoc/mdoc_revocation_witness.h